For the complete documentation index, see llms.txt. Markdown versions of the documentation pages are available from that index.
solscan logo
Register NowRegister Now

account funding activities

get

https://pro-api.solscan.io/v2.0/account/funding/activities

Get the list of funding activities performed by an address (native SOL transfers that created/funded other accounts).

QUERY PARAMS

address

string

required

Solana wallet address of the funder

to

array

Filter funding activities with direction is to one/multi funded address. You can filter by multiple addresses. Example: ?to[]=address1&to[]=address2. Maximum 5 addresses

Maximum allowed values: 5

exclude_to

array

Filter funding activities with direction is not to one/multi funded address. You can filter by multiple addresses. Example: ?exclude_to[]=address1&exclude_to[]=address2. Maximum 5 addresses

Maximum allowed values: 5

program

array

Filter by program address that executed the funding activity. You can filter by multiple addresses. Example: ?program[]=address1&program[]=address2. Maximum 5 addresses

Maximum allowed values: 5

amount

array

Filter by amount range (non-negative integer, raw lamports). Pass one value for a lower bound only, or two values for a closed range. Example: ?amount[]=1 returns amount >= 1; ?amount[]=1&amount[]=2 returns 1 <= amount <= 2

Maximum allowed values: 2

value

array

Filter by value range (USD, non-negative). Pass one value for a lower bound only, or two values for a closed range. Example: ?value[]=1 returns value >= 1; ?value[]=1&value[]=10 returns 1 <= value <= 10

Maximum allowed values: 2

from_time

number

Filter by time range (Unix timestamp in seconds). Example: ?from_time=1720153259&to_time=1720153276

to_time

number

Filter by time range (Unix timestamp in seconds). Example: ?from_time=1720153259&to_time=1720153276

page

number

Page number for pagination

page_size

number

Number of items per page

sort_by

string

The parameter allows you to specify the field by which the returned list will be sorted

sort_order

string

The parameter allows you to specify the sort order

RESPONSES

200

OK

Response Body (application/json)

success

boolean

Status of Api

block_id

number

Slot number of activity

trans_id

string

Transaction hash or signature

block_time

number

Unix timestamp of the slot

time

string

Time of the slot

from_address

string

Funder address

to_address

string

Funded address

token_address

string

Token address (native SOL)

token_decimals

number

Decimal of token address

amount

number

Funding amount (divide by 10^token_decimals for actual amount)

value

number

Value of the funding activity in USD

program

array of string

Program address(es) that executed the funding activity

metadata

object

Additional response metadata

400

Bad Request

Response Body (application/json)

401

Authentication failed

Response Body (application/json)

429

Too Many Requests

Response Body (application/json)

500

Internal Server Error

Response Body (application/json)

icon

Javascript

icon

Python

icon

Shell

icon

Go

icon

C#

Authorization

Response

Click Try It! to start a request and see the response here!

Response Examples